Skip to main content
GET
/
{alias}
/
pricing
/
promotions
/
{id}
Visualizar promoção
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/pricing/promotions/{id} \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/pricing/promotions/{id}"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/pricing/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "active": true,
  "all_products": true,
  "utm_only": true,
  "highlight_on_menu": true,
  "accumulate": true,
  "price_attribute": "<string>",
  "name": "Promoção relâmpago",
  "expired": true,
  "url": "https://www.domain.com/promocoes/test",
  "slug": "<string>",
  "value": 123,
  "utm_source": "google",
  "utm_campaign": "adwords",
  "start_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "end_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "created_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "updated_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID da promoção

Response

Detalhes da promoção

id
integer
active
boolean
all_products
boolean
utm_only
boolean
highlight_on_menu
boolean
accumulate
boolean
price_attribute
string
name
string
Example:

"Promoção relâmpago"

expired
boolean
read-only
url
string<uri>
Example:

"https://www.domain.com/promocoes/test"

slug
string
value
number<float>
utm_source
string
Example:

"google"

utm_campaign
string
Example:

"adwords"

start_at
object
end_at
object
created_at
object
updated_at
object